[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# Removeleadingchars

Remove any leading characters in a set from a string

## Declaration

Source position: strutils.pp line 203

`procedure Removeleadingchars(`
`var S: AnsiString;`
`const CSet: TSysCharSet`
`);`

## Description

Removeleadingchars removes any starting characters from S that appear in the set CSet. It stops removing characters as soon as a character not in CSet is encountered. This is similar in behaviour to TrimLeft which used whitespace as the set.

## Errors

None.

## See also

TrimLeft |  | Trim whitespace from the beginning of a string.
RemoveTrailingChars |  | Remove any trailing characters in a set from a string
RemovePadChars |  | Remove any trailing or leading characters in a set from a string
TrimLeftSet |  | Remove any leading characters in a set from a string and returns the result

Documentation generated on: Feb 26 2014